100% free for Open Source, forever. Get another set of eyes on your code.

The latest Code Climate updates

Engine Update: PHP Code Sniffer now supports WordPress and Drupal coding standards

We're pleased to announce that our PHP Code Sniffer engine now supports WordPress and Drupal coding standards thanks to an awesome community contribution from @josephdpurcell!

This support is provided by two great packages, WordPress Coding Standards and Coder, which extend PHP_CodeSniffer with additional checks relevant to their respective communities.

You can enable checks for Wordpress or Drupal coding standards by updating your .codeclimate.yml configuration file:

  engines:
    phpcodesniffer:
      enabled: true
      config:
        standard: "WordPress"
  engines:
    phpcodesniffer:
      enabled: true
      config:
        standard: "Drupal"

Check out the engine's README for the full list of supported coding standards.

« Back to Changelog